Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.config.impl.digester.elements
Class Renderer

    java.lang.Object
      org.apache.myfaces.config.impl.digester.elements.Renderer

All Implemented Interfaces:
  Renderer

public class Renderer
extends java.lang.Object
implements Renderer

Author:
  Oliver Rossmueller

Constructor Summary
`Renderer()`

Method Summary
`java.lang.String` | `getComponentFamily()`
`java.lang.String` | `getRendererClass()`
`java.lang.String` | `getRendererType()`
`void` | `setComponentFamily(java.lang.String componentFamily)`
`void` | `setRendererClass(java.lang.String rendererClass)`
`void` | `setRendererType(java.lang.String rendererType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Renderer

    public Renderer()

Method Detail

### getComponentFamily

    public java.lang.String getComponentFamily()

  Specified by:
    `getComponentFamily` in interface `Renderer`

### setComponentFamily

    public void setComponentFamily(java.lang.String componentFamily)

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in interface `Renderer`

### setRendererType

    public void setRendererType(java.lang.String rendererType)

### getRendererClass

    public java.lang.String getRendererClass()

  Specified by:
    `getRendererClass` in interface `Renderer`

### setRendererClass

    public void setRendererClass(java.lang.String rendererClass)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD